> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timelockdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Evidence



## OpenAPI

````yaml PUT /evidences/{COMPANY_ID}/evidence/{EVIDENCE_EXTERNAL_ID}
openapi: 3.0.0
info:
  title: TimeLockData API
  description: Public API for evidence management and blockchain traceability
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.timelockdata.com/api/v1
    description: Production
security: []
tags: []
paths:
  /evidences/{COMPANY_ID}/evidence/{EVIDENCE_EXTERNAL_ID}:
    put:
      tags:
        - Evidence Management
      summary: Update a evidence
      operationId: DigitalTwinController_updateDigitalTwin
      parameters:
        - name: COMPANY_ID
          required: true
          in: path
          description: Company identifier
          schema:
            type: string
        - name: EVIDENCE_EXTERNAL_ID
          required: true
          in: path
          description: Evidence external identifier
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UpdateDigitalTwinRequest'
      responses:
        '200':
          description: Evidence updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BasicResponse'
      security:
        - APIKeyAuth: []
components:
  schemas:
    UpdateDigitalTwinRequest:
      type: object
      properties:
        action:
          type: string
          description: Action to perform on the evidence
          enum:
            - update
            - transfer
            - create
        actionType:
          type: string
          description: Type of the action
          enum:
            - stolen
            - repair
            - custom
            - change
            - addfile
            - deletefile
        updateActionDescription:
          type: string
          description: Custom description of the update action
        updateActionPersona:
          type: string
          description: Description of the persona involved in the action
        owner:
          type: string
          description: New owner of the evidence, used for transfer actions
        description:
          type: string
          description: Updated description of the evidence
        summary:
          type: string
          description: Updated summary of the evidence
        eventDescription:
          type: string
          description: Description of the event
        meta:
          type: object
          description: Additional metadata
        file:
          type: string
          description: Single file attachment
          format: binary
        files:
          type: array
          description: Multiple file attachments
          items:
            type: string
            format: binary
      required:
        - action
    BasicResponse:
      type: object
      properties:
        status:
          type: string
          description: Response status
      required:
        - status
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````